#!/bin/bash
echo "Waiting for db..."
wait-for-it "${NOPAQUE_DB_HOST}:${NOPAQUE_DB_PORT:-5432}" --strict --timeout=0
echo "Waiting for mq..."
wait-for-it "${NOPAQUE_MQ_HOST}:${NOPAQUE_MQ_PORT}" --strict --timeout=0

source venv/bin/activate
if [[ "$#" -eq 0 ]]; then
    flask deploy
    python nopaque.py
elif [[ "$1" == "flask" ]]; then
    exec ${@:1}
else
    echo "$0 [COMMAND]"
    echo ""
    echo "nopaque startup script"
    echo ""
    echo "Commands:"
    echo "  flask"
fi
